xubuntu logo in plymouth splash screen looks like it has spider webs in it

Bug #552000 reported by Charlie Kravetz on 2010-03-30
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
xubuntu-artwork (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: plymouth

The "xubuntu" in the plymouth splash screen looks very bad. It has lighter gray patches that look almost like spider webs drawn in. This did start with the images on 2010-03-30. I am attaching a screen shot of the logo in VirtualBox. This is the same image distortion on a hardware system with a Riva128 video card, another with a NVidia 6200 video card, and VirtualBox. It affects all images.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: plymouth 0.8.1-1ubuntu3
ProcVersionSignature: Ubuntu 2.6.32-17.26-generic 2.6.32.10+drm33.1
Uname: Linux 2.6.32-17-generic i686
Architecture: i386
CurrentDmesg:
 [ 101.043501] lp: driver loaded but no devices found
 [ 148.407491] end_request: I/O error, dev fd0, sector 0
 [ 148.608120] end_request: I/O error, dev fd0, sector 0
Date: Tue Mar 30 19:41:49 2010
LiveMediaBuild: Xubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100329)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: innotek GmbH VirtualBox
ProcCmdLine: BOOT_IMAGE=/casper/vmlinuz file=/cdrom/preseed/xhostname.seed boot=casper initrd=/casper/initrd.lz quiet splash --
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 VGA16 VGA
SourcePackage: plymouth
dmi.bios.date: 12/01/2006
dmi.bios.vendor: innotek GmbH
dmi.bios.version: VirtualBox
dmi.modalias: dmi:bvninnotekGmbH:bvrVirtualBox:bd12/01/2006:svninnotekGmbH:pnVirtualBox:pvr1.2:
dmi.product.name: VirtualBox
dmi.product.version: 1.2
dmi.sys.vendor: innotek GmbH

Charlie Kravetz (charlie-tca) wrote :
Charlie Kravetz (charlie-tca) wrote :
Steve Langasek (vorlon) wrote :

This is what comes of trying to display a true-color logo on a 16-color framebuffer. That needs to be adjusted in the xubuntu artwork theme, it can't be fixed in plymouth.

(The plymouth package may need some adjustments to let the theme packages figure out the bit-depth of the renderer being used, but that's an issue that has to be resolved for all themes anyway.)

affects: plymouth (Ubuntu) → xubuntu-artwork (Ubuntu)
tags: added: iso-testing
Steve Langasek (vorlon) on 2010-04-10
Changed in xubuntu-artwork (Ubuntu):
importance: Undecided → Medium
Steve Langasek (vorlon) wrote :

plymouth now allows themes to query the display's bit depth, so is no longer a blocker for this.

Changed in xubuntu-artwork (Ubuntu):
status: New → Triaged
Charlie Kravetz (charlie-tca) wrote :

Actually, I pulled the subuntu plymouth splash screen into gimp and looked at it closely. It appears the letters have severe overspray of white color. This is causing the web effect to appear.

Charlie Kravetz (charlie-tca) wrote :

well, I didn't really spell it right. 'subuntu' should have been 'Xubuntu'.

Charlie Kravetz (charlie-tca) wrote :

Cleaned logo PNG file. I found it in /lib/plymouth/themes/xubuntu-logo/xubuntu-logo.png .

A. Denton (aquina) wrote :

It's still not fixed as of 3rd May 2010. Is there maybe another problem?

MrHaroldA (mrharolda) wrote :

I can confirm this on 1 of my computers. My EEE 1000H displays the boot graphic fine but my desktop doesn't.

$ lspci -v|grep -i nvidia
01:00.0 VGA compatible controller: nVidia Corporation G86 [GeForce 8400 GS] (rev a1)
 Kernel driver in use: nvidia
 Kernel modules: nvidia-173, nvidiafb, nouveau

tags: added: maverick
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xubuntu-artwork - 11.10.3

---------------
xubuntu-artwork (11.10.3) oneiric; urgency=low

  * debian/control: drop breaks/replaces, it's in murrine-themes.
  * lib/plymouth/themes/xubuntu-logo: fix for 16-color framebuffers. lp: #552000
 -- Lionel Le Folgoc <email address hidden> Wed, 24 Aug 2011 19:19:52 +0200

Changed in xubuntu-artwork (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers